/**
 * Runs through the given tree structure and creates a vuepress config
 * @param {object} data Information to build config
 * @param {array} data.fileTree tree structure
 * @param {string} data.codeFolder ./code/ folder
 * @param {string} data.srcFolder ./src/ folder
 * @param {string} data.docsFolder ./documentation/ folder
 * @param {string} data.title title string
 * @returns {object} returns the vuepress menu structure
 */
export declare const generateVueSidebar: ({ fileTree, codeFolder, srcFolder, docsFolder, title }: {
    fileTree: any;
    codeFolder: string;
    srcFolder: string;
    docsFolder: string;
    title: string;
}) => {
    [x: string]: {
        text: string;
        collapsable: boolean;
        children: {
            link: string;
            text: string;
        }[];
    }[];
};
